Bug 1249031 - [GSS](6.4.z) Intermittent Disconnection from CLI After Reload in domain mode
[GSS](6.4.z) Intermittent Disconnection from CLI After Reload in domain mode
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.4.2
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.4.4
Assigned To: jboss-set
Petr Kremensky
:
Depends On:
Blocks: 1235744
  Show dependency treegraph
 
Reported: 2015-07-31 07:52 EDT by Petr Kremensky
Modified: 2017-01-17 05:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 05:52:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFCORE-855 Major Resolved Intermittent Disconnection from CLI After Reload in domain mode 2018-01-20 00:40 EST

  None (edit)
Description Petr Kremensky 2015-07-31 07:52:18 EDT
Description of problem:
 CLI scripts for management of managed domain 

Version-Release number of selected component (if applicable):
 6.4.3.CP.CR1

How reproducible:
 Always

Steps to Reproduce:
Use CLI script:
:read-attribute(name=process-type)
reload --host=master
:read-attribute(name=process-type)
or commands option for script

Actual results:
6.4.3
./jboss-cli.sh -c commands=':read-attribute(name=process-type), reload --host=master, :read-attribute(name=process-type)'
{
    "outcome" => "success",
    "result" => "Domain Controller"
}
Failed to establish connection in 6025ms

Expected results:
6.3.3
./jboss-cli.sh -c commands=':read-attribute(name=process-type), reload --host=master, :read-attribute(name=process-type)'
{
    "outcome" => "success",
    "result" => "Domain Controller"
}
{
    "outcome" => "success",
    "result" => "Domain Controller"
}


Additional info:
 - Follow up to https://bugzilla.redhat.com/show_bug.cgi?id=1232933
 - using --timeout doesn't workaround the problem
Comment 3 JBoss JIRA Server 2015-08-04 03:51:33 EDT
Joe Wertz <ewertz@redhat.com> updated the status of jira WFCORE-855 to Coding In Progress
Comment 6 Petr Kremensky 2015-09-24 04:46:08 EDT
Verified on EAP 6.4.4.CP.CR3
Comment 8 Petr Penicka 2017-01-17 05:52:47 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.